Webhooks
List Webhooks
List all webhook subscriptions for the organization
GET
/
webhooks
cURL
curl --request GET \
--url https://api.beachdepository.com/v1/webhooks \
--header 'Authorization: Bearer <token>'
const response = await fetch("https://api.beachdepository.com/v1/webhooks", {
method: "GET",
headers: {
Authorization: "Bearer <token>",
},
})
const data = await response.json()
import requests
response = requests.get(
"https://api.beachdepository.com/v1/webhooks",
headers={
"Authorization": "Bearer <token>",
},
)
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
url := "https://api.beachdepository.com/v1/webhooks"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
{
"data": [
{
"id": "ep_abc123",
"name": "Inventory Notifications",
"url": "https://example.com/webhooks/beach",
"events": ["inventory.vaulted", "outbound_shipment.status_changed"],
"status": "active",
"createdAt": "2024-03-05T15:58:41.000Z",
"updatedAt": "2024-03-05T15:58:41.000Z"
}
],
"pagination": {
"page": 1,
"hasMore": false
}
}
Returns webhook subscriptions for the organization. The signing secret is never included in list responses.
Authorizations
string
required
Send
Bearer <token> in this header. The key needs webhooks:manage.Query Parameters
number
default:"1"
number
default:"25"
cURL
curl --request GET \
--url https://api.beachdepository.com/v1/webhooks \
--header 'Authorization: Bearer <token>'
const response = await fetch("https://api.beachdepository.com/v1/webhooks", {
method: "GET",
headers: {
Authorization: "Bearer <token>",
},
})
const data = await response.json()
import requests
response = requests.get(
"https://api.beachdepository.com/v1/webhooks",
headers={
"Authorization": "Bearer <token>",
},
)
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
url := "https://api.beachdepository.com/v1/webhooks"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
{
"data": [
{
"id": "ep_abc123",
"name": "Inventory Notifications",
"url": "https://example.com/webhooks/beach",
"events": ["inventory.vaulted", "outbound_shipment.status_changed"],
"status": "active",
"createdAt": "2024-03-05T15:58:41.000Z",
"updatedAt": "2024-03-05T15:58:41.000Z"
}
],
"pagination": {
"page": 1,
"hasMore": false
}
}
⌘I
cURL
curl --request GET \
--url https://api.beachdepository.com/v1/webhooks \
--header 'Authorization: Bearer <token>'
const response = await fetch("https://api.beachdepository.com/v1/webhooks", {
method: "GET",
headers: {
Authorization: "Bearer <token>",
},
})
const data = await response.json()
import requests
response = requests.get(
"https://api.beachdepository.com/v1/webhooks",
headers={
"Authorization": "Bearer <token>",
},
)
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
url := "https://api.beachdepository.com/v1/webhooks"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
{
"data": [
{
"id": "ep_abc123",
"name": "Inventory Notifications",
"url": "https://example.com/webhooks/beach",
"events": ["inventory.vaulted", "outbound_shipment.status_changed"],
"status": "active",
"createdAt": "2024-03-05T15:58:41.000Z",
"updatedAt": "2024-03-05T15:58:41.000Z"
}
],
"pagination": {
"page": 1,
"hasMore": false
}
}